Google Web Toolkit (Beta)
Search this site:

# Class JPrimitiveType

public class JPrimitiveType
extends JType
Represents a primitive type in a declaration.

## Fields

BOOLEAN |
BYTE |
CHAR |
DOUBLE |
FLOAT |
INT |
LONG |
SHORT |
VOID |

## Methods

getJNISignature() |
getQualifiedSourceName() |
getSimpleSourceName() |
isArray() |
isClass() |
isInterface() |
isParameterized() |
isPrimitive() |
valueOf(String) |

## Field Detail

### BOOLEAN

public static final JPrimitiveType BOOLEAN

### BYTE

public static final JPrimitiveType BYTE

### CHAR

public static final JPrimitiveType CHAR

### DOUBLE

public static final JPrimitiveType DOUBLE

### FLOAT

public static final JPrimitiveType FLOAT

### INT

public static final JPrimitiveType INT

### LONG

public static final JPrimitiveType LONG

### SHORT

public static final JPrimitiveType SHORT

### VOID

public static final JPrimitiveType VOID

## Method Detail

### getJNISignature

public abstract String getJNISignature()

### getQualifiedSourceName

public abstract String getQualifiedSourceName()

### getSimpleSourceName

public abstract String getSimpleSourceName()

### isArray

public abstract JArrayType isArray()

### isClass

public abstract JClassType isClass()

### isInterface

public abstract JClassType isInterface()

### isParameterized

public abstract JParameterizedType isParameterized()

### isPrimitive

public abstract JPrimitiveType isPrimitive()

### valueOf

public static JPrimitiveType valueOf(String typeName)

#### Parameters

typeName